Macro Align Camera to Working Plane

From FreeCAD Documentation
Jump to: navigation, search
Other languages:
English • ‎français • ‎italiano

Generic macro icon. Create your personal icon with the same name of the macro Macro Align Camera to Working Plane

Description
This macro aligns the camera to the current Draft Working Plane
Author
yorik
Links
Macros recipes
How to install macros
How to customize toolbars
Version
0.1
Date last modification
2017-03-16
Default shortcut
None
See also
None


Description

This macro aligns the camera to the current Draft Working Plane

How to use

Script

Macro_Align_Camera_to_Working_Plane.FCMacro

import FreeCAD,FreeCADGui
c = FreeCADGui.ActiveDocument.ActiveView.getCameraNode()
r = FreeCAD.DraftWorkingPlane.getRotation().Rotation.Q
c.orientation.setValue(r)